Package org.apache.sling.feature

# Enum ExtensionState

java.lang.Object
java.lang.Enum<ExtensionState>
org.apache.sling.feature.ExtensionState

All Implemented Interfaces:
  `Serializable`, `Comparable<ExtensionState>`

public enum ExtensionState extends Enum<ExtensionState>
Enumeration for `Extension` states.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`OPTIONAL`
`REQUIRED`
`TRANSIENT`

## Method Summary

Modifier and Type
Method
Description
`static ExtensionState`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ExtensionState[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TRANSIENT

public static final ExtensionState TRANSIENT

### OPTIONAL

public static final ExtensionState OPTIONAL

### REQUIRED

public static final ExtensionState REQUIRED

## Method Details

### values

public static ExtensionState[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ExtensionState valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null